Events
Retrieve all events.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Filter by project ID or name.
length <= 100Filter events to a single deployment.
Filter events to a single release.
Optional additions: releaseCreatedAt metadata, endpointHealth events, and releases, the title, version and commit of every release the listed events reference. Health events are opt-in for compatibility with existing clients.
Maximum number of items to return per page
1 <= value <= 10020Cursor for pagination - omit for first page
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/events?project=my-project"{ "items": [ { "id": "event_MtSA24M3pWuAkQYxgZxuRI", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "debugSessionId": "dbg_HOXmkmT9UPYlsnxqSNlEGoXL", "data": { "type": "DeploymentCheckRequested", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc" }, "state": { "failed": { "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null } } }, "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0", "releaseCreatedAt": "2019-08-24T14:15:22Z" } ], "nextCursor": "string", "releases": [ { "id": "rel_WbhQgksrawSKIpEN0NAssHX9", "version": "string", "title": "string", "gitMetadata": { "commitSha": "dc36199b2234c6586ebe05ec94078a895c707e29", "commitMessage": "add method to measure Interaction to Next Paint (INP) (#36490)", "commitRef": "main", "commitDate": "2026-03-16T12:00:00Z", "dirty": true, "remoteUrl": "https://github.com/alienplatform/alien", "commitAuthorName": "John Doe", "commitAuthorEmail": "john@example.com", "commitAuthorLogin": "johndoe", "commitAuthorAvatarUrl": "https://github.com/johndoe.png", "provider": { "type": "github", "org": "string", "repo": "string" } }, "createdAt": "2019-08-24T14:15:22Z" } ]}Retrieve an event by ID.
API key for authentication, must be provided as a Bearer token. Generate an API key at https://alien.dev/api-keys
In: header
Path Parameters
Unique identifier for the event.
event_[0-9a-zA-Z]{28}$Query Parameters
Workspace name or ID. Required for user/session/OAuth requests. Optional for API keys because API keys are workspace-scoped; if provided with an API key, it must identify the key's workspace.
^(?:ws_[0-9a-zA-Z]{24}|(?!ws[-_])[a-z0-9](-?[a-z0-9])*)$4 <= length <= 100Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/events/event_MtSA24M3pWuAkQYxgZxuRI"{ "id": "event_MtSA24M3pWuAkQYxgZxuRI", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc", "releaseId": "rel_WbhQgksrawSKIpEN0NAssHX9", "debugSessionId": "dbg_HOXmkmT9UPYlsnxqSNlEGoXL", "data": { "type": "DeploymentCheckRequested", "deploymentId": "dep_0c29fq4a2yjb7kx3smwdgxlc" }, "state": { "failed": { "error": { "code": "string", "context": null, "hint": "string", "httpStatusCode": 100, "internal": true, "message": "string", "retryable": false, "source": null } } }, "projectId": "prj_mcytp6z3j91f7tn5ryqsfwtr", "createdAt": "2019-08-24T14:15:22Z", "workspaceId": "ws_It13CUaGEhLLAB87simX0"}